### Constructor

# Gio IOModule new

#### Declaration

    GIOModule*
    g_io_module_new (
      const gchar* filename
    )

#### Description

Creates a new GIOModule that will load the specific shared library when in use.

#### Parameters

`filename`

  Type: `const gchar*`

  Filename of the shared library module.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

#### Return value

Type: `GIOModule`

A `GIOModule` from given `filename`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.